Hooks:PostHook( WeaponTweakData, "init", "reachdmr_part_fix", function(self)

	self.reachdmr_crew = self.reachdmr_crew or deep_clone(self.wa2000_crew)

    self:SetupAttachmentPoint( "reachdmr", {
        name = "a_ns",
        base_a_obj = "a_ns",
        position = Vector3( 0, 0.5, 0 ),
        rotation = RotationCAP( 0, 0, 0 )
    })
	self:SetupAttachmentPoint( "reachdmr", {
		name = "a_fl",
		base_a_obj = "a_fl",
		position = Vector3( 1, -2, 3.5 ),
		rotation = RotationCAP( 0, 0, 0 )
    })
	self:SetupAttachmentPoint( "reachdmr", {
		name = "a_left_rail",
		base_a_obj = "a_fl",
		position = Vector3(-5.0, -2, 3.0),
		rotation = RotationCAP( 0, 0, 180 )
    })
	
	self:SetupAttachmentPoint( "reachdmr", {
        name = "a_o",
        base_a_obj = "a_o",
        position = Vector3( 0, 12, -0.4 ), -- for most optics, it would be 0, 5, -0.4
        rotation = RotationCAP( 0, 0, 0 )
    })
	
	
	self:SetupAttachmentPoint( "reachdmr", {
        name = "a_o_position_evos_d",
        base_a_obj = "a_o",
        position = Vector3( 0, -1, 0.75 ), -- for most optics, it would be 0, 5, -0.4
        rotation = RotationCAP( 0, 0, 0 )
    })
	
	self:SetupAttachmentPoint( "reachdmr", {
        name = "a_lrail",
        base_a_obj = "a_fl",
        position = Vector3( -2, -5, 7 ),
        rotation = RotationCAP( 0, 0, 0 )
    })

	self:SetupAttachmentPoint( "reachdmr", {
        name = "a_charm",
        base_a_obj = "a_fl",
        position = Vector3( -4.3, -29, 3.4),
        rotation = RotationCAP( 180, 0, 0 )
    })

   self:SetupAttachmentPoint( "reachdmr", {
        name = "a_o_carry_handle",
        base_a_obj = "a_o",
        position = Vector3( 0, 2, 5 ),
        rotation = RotationCAP( 0, 0, 0 )
    })
   self:SetupAttachmentPoint( "reachdmr", {
        name = "a_o_carry_handle_og_scope",
        base_a_obj = "a_body",
        position = Vector3( 0, 0, 4.7 ),
        rotation = RotationCAP( 0, 0, 0 )
    })

end )