Hooks:PostHook(WeaponFactoryTweakData, "init", "reachdmr_tweakdata_init", function(self)

	if self.parts.wpn_fps_snp_reachdmr_noble_am then --wrote this before i coded in the attachment.
		self.parts.wpn_fps_snp_reachdmr_noble_am.has_description = true
		self.parts.wpn_fps_snp_reachdmr_noble_am.custom_stats = {
			rays = 1,
			ammo_pickup_min_mul = 0.65,
			ammo_pickup_max_mul = 0.65,
			armor_piercing_add = 1,
			can_shoot_through_enemy = true,
			can_shoot_through_shield = true,
			can_shoot_through_wall = true,
		}
	end
	
	if self.parts.wpn_fps_snp_reachdmr_trigger_spam then -- Spammer's Trigger.
		self.parts.wpn_fps_snp_reachdmr_trigger_spam.has_description = true
		self.parts.wpn_fps_snp_reachdmr_trigger_spam.override_weapon_multiply = {
			fire_mode_data = {
				fire_rate = 1 / 1.35
			}
		}
	end
	
	-- These translations only are optimized for the M392 DMR
	--If you are thinking of adding this to vanilla weapons, you'll need to mess around with values in Perfect View Model to get this stance offset working correctly
	--That's also likely to break how the sight is stanced for the M392, so you'll need to get the stance override in the main.xml working
	
	local custom_sight_id = "wpn_fps_snp_reachdmr_evos_d"
	local based_on_id = "wpn_fps_upg_o_specter"
	local offset = Vector3(0, 2, 0.60)
	if self.parts[custom_sight_id].stance_mod then
		for _, wpn_id in pairs(self.parts[custom_sight_id].stance_mod) do
			if wpn_id.translation then
				wpn_id.translation = (wpn_id.translation + offset)
			end
		end
		self.parts[custom_sight_id].stance_mod.wpn_fps_smg_cobray = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_asval = {translation = offset}
		self.parts[custom_sight_id].stance_mod.wpn_fps_ass_sub2000 = {translation = offset}
	end
	for _, part_id in pairs(self.parts) do
		if part_id.override and part_id.override[based_on_id] then
			part_id.override[custom_sight_id] = deep_clone(part_id.override[based_on_id])
			if part_id.override[custom_sight_id].stance_mod then
				for _, wpn_id in pairs(part_id.override[custom_sight_id].stance_mod) do
					if wpn_id.translation then
						wpn_id.translation = (wpn_id.translation + offset)
					end
				end
			end
		end
	end

end)